package com.dev.swms.server.action.formatter;

import java.util.List;

import com.dev.energy.server.format.Formatter;
import com.dev.energy.server.util.LocalizedMessage;

public class IncDecFormatter implements Formatter {

	public String format(String property, Object cellValue, List origenData,
			String referenceModel, String locale) {
		if (String.valueOf(cellValue).equals("1")) {
			return LocalizedMessage.getLocalizedMessage("inventoryLog.inc",referenceModel,locale);
		} else {
			return LocalizedMessage.getLocalizedMessage("inventoryLog.dec",referenceModel,locale);
		}
	}

}
